let path = require('path');
let HtmlWebpackPlugin = require('html-webpack-plugin');

let loaders = [
    { test: /\.js$/,  exclude: /node_modules/, loader: "babel" },
    { test: /\.css$/, loader: 'style!css' }
];

let plugins = [
    new HtmlWebpackPlugin({
        template: path.resolve(__dirname, '../src/example/index.html'),
        filename: 'example/index.html',
        inject: 'body',
        chunks: ['example/index']
    })
];

module.exports = {
    entry: {
        'index': path.join(__dirname, '../src/main/index.js'),
        'example/index': path.join(__dirname, '../src/example/index.js')
    },
    module: {
        loaders: loaders
    },
    output: {
        path: path.join(__dirname, '../build'),
        filename: '[name].js'
    },
    plugins: plugins
};
