let webpack = require('webpack');
let path = require('path');
let loaders = [
    { test: /\.js$/, exclude: /node_modules/, loader: "babel" }
];
let bannerInfo = [
    'generated by yangjunhua',
    'see github(https://github.com/yjh30/css-transition-slide) for more details'
];
let plugins = [
    new webpack.BannerPlugin(bannerInfo.join(','))
];

module.exports = {
    entry: [path.join(__dirname, '../src/main/index.js')],
    module: {
        loaders: loaders
    },
    output: {
        path: path.join(__dirname, '../build'),
        filename: 'index.js',
        libraryTarget: 'umd'
    },
    plugins: plugins
};
