import 'flexbox.css';

// import Slide        from '../main/index';
import fastclick    from 'fastclick';
fastclick.attach(document.body);

let Slide = require('../../build/index');
let elem = document.querySelector('.slide-component');

let slide = new Slide({
    el: elem,           // wrap elem
    auto: true,         // auto play
    duration: 400,      // css transition duration (ms)
    delay: 5000,        // delay time for auto play
    interval: 4000,     // interval time for auto play
    loop: true,         // support loop slide

    slideStart: function() {
        console.log(`开始轮播之前，当前是第${this.index}屏`);
    },
    slideEnd: function() {
        document.querySelector('.slide-index .current-index').innerHTML = this.index;
    }
});

document.querySelector('.slide-index .length').innerHTML = slide.length;

document.querySelector('.prev').addEventListener('click', function() {
    slide.prev();
});

document.querySelector('.next').addEventListener('click', function() {
    slide.next();
});

document.querySelector('.first').addEventListener('click', function() {
    slide.slideTo(1);
});

document.querySelector('.last').addEventListener('click', function() {
    slide.slideTo(slide.slide.length);
});

[].forEach.call(elem.querySelectorAll('.slide-item'), item => {
    item.addEventListener('click', function() {
        console.log('click');
    });
});
