import utils from '../../utils/index';

function getMarginX(el) {
    return utils.getPropertySize(el, 'margin-left') + utils.getPropertySize(el, 'margin-right');
}

function getMarginY(el) {
    return utils.getPropertySize(el, 'margin-top') + utils.getPropertySize(el, 'margin-bottom');
}

function initVal(val, defaultVal) {
    return typeof val === 'boolean' ? val : defaultVal;
}

export default function(options) {
    let s = this.slide;
    let c = this.client;

    let firstChild = this.elems.firstChild;

    s.width = options.slideWidth || (c.width + getMarginX(firstChild));
    s.heigth = options.slideHeight || (c.heigth + getMarginY(firstChild));

    s.length = options.slideLength || this.elems.content.children.length;
    s.contentWidth = s.length * s.width;

    s.auto = initVal(options.auto, s.auto);
    s.duration = options.duration || s.duration;
    s.delay = options.delay || s.delay;
    s.interval = options.interval || s.interval;
    s.loop = initVal(options.loop, s.loop);

    s.boundRate = options.boundRate || s.boundRate;

    this.slideStart = options.slideStart || this.slideStart;
    this.slideEnd = options.slideEnd || this.slideEnd;
}
